Announcement Announcement Module
Collapse
No announcement yet.
Problem building samples with Maven Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Problem building samples with Maven

    I'm checking out Spring DM. I downloaded version 2.0.0.M1 and 1.2.1. I'm seeing this issue in both releases when attempting to run the samples using Maven. This wouldn't work out-of-the-box. I've tried various combinations of plugins and repositories; but nothing seems to work. It appears to me that either the Maven poms are broken or the repository is down. I downloaded the bundlor; but didn't see a pom. I'm not sure why this is a fatal error; since the pom is missing for many of our artifacts and it works. This has been very frustrating...

    The error I get is:
    Code:
    [ERROR] BUILD ERROR
    [INFO] ------------------------------------------------------------------------
    [INFO] Error building POM (may not be this project's POM).
    
    
    Project ID: com.springsource.bundlor:com.springsource.bundlor.maven
    
    Reason: POM 'com.springsource.bundlor:com.springsource.bundlor.maven' not found
    in repository: Unable to download the artifact from any repository
    
      com.springsource.bundlor:com.springsource.bundlor.maven:pom:1.0.0.M6
    
    from the specified remote repositories:
      repo2.maven.org (http://repo2.maven.org/maven2/org/eclipse)
    
     for project com.springsource.bundlor:com.springsource.bundlor.maven
    [INFO] ------------------------------------------------------------------------
    [INFO] Trace
    org.apache.maven.lifecycle.LifecycleExecutionException: Unable to build project
    for plugin 'com.springsource.bundlor:com.springsource.bundlor.maven': POM 'com.s
    pringsource.bundlor:com.springsource.bundlor.maven' not found in repository: Una
    ble to download the artifact from any repository
    
      com.springsource.bundlor:com.springsource.bundlor.maven:pom:1.0.0.M6
    
    from the specified remote repositories:
      repo2.maven.org (http://repo2.maven.org/maven2/org/eclipse)
    
     for project com.springsource.bundlor:com.springsource.bundlor.maven
            at org.apache.maven.lifecycle.DefaultLifecycleExecutor.verifyPlugin(Defa
    ultLifecycleExecutor.java:1295)
            at org.apache.maven.lifecycle.DefaultLifecycleExecutor.bindPluginToLifec
    ycle(DefaultLifecycleExecutor.java:1242)
            at org.apache.maven.lifecycle.DefaultLifecycleExecutor.constructLifecycl
    eMappings(DefaultLifecycleExecutor.java:1008)
            at org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoal(Defau
    ltLifecycleExecutor.java:478)
            at org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoalAndHan
    dleFailures(DefaultLifecycleExecutor.java:331)
            at org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeTaskSegmen
    ts(DefaultLifecycleExecutor.java:292)
            at org.apache.maven.lifecycle.DefaultLifecycleExecutor.execute(DefaultLi
    fecycleExecutor.java:142)
            at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:345)
            at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:132)
            at org.apache.maven.cli.MavenCli.main(MavenCli.java:290)
            at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
            at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.
    java:39)
            at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAcces
    sorImpl.java:25)
            at java.lang.reflect.Method.invoke(Method.java:597)
            at org.codehaus.classworlds.Launcher.launchEnhanced(Launcher.java:315)
            at org.codehaus.classworlds.Launcher.launch(Launcher.java:255)
            at org.codehaus.classworlds.Launcher.mainWithExitCode(Launcher.java:430)
    
            at org.codehaus.classworlds.Launcher.main(Launcher.java:375)
    Caused by: org.apache.maven.plugin.InvalidPluginException: Unable to build proje
    ct for plugin 'com.springsource.bundlor:com.springsource.bundlor.maven': POM 'co
    m.springsource.bundlor:com.springsource.bundlor.maven' not found in repository:
    Unable to download the artifact from any repository
    
      com.springsource.bundlor:com.springsource.bundlor.maven:pom:1.0.0.M6
    
    from the specified remote repositories:
      repo2.maven.org (http://repo2.maven.org/maven2/org/eclipse)
    
     for project com.springsource.bundlor:com.springsource.bundlor.maven
            at org.apache.maven.plugin.DefaultPluginManager.checkRequiredMavenVersio
    n(DefaultPluginManager.java:281)
            at org.apache.maven.plugin.DefaultPluginManager.verifyVersionedPlugin(De
    faultPluginManager.java:197)
            at org.apache.maven.plugin.DefaultPluginManager.verifyPlugin(DefaultPlug
    inManager.java:176)
            at org.apache.maven.lifecycle.DefaultLifecycleExecutor.verifyPlugin(Defa
    ultLifecycleExecutor.java:1278)
            ... 17 more
    Caused by: org.apache.maven.project.ProjectBuildingException: POM 'com.springsou
    rce.bundlor:com.springsource.bundlor.maven' not found in repository: Unable to d
    ownload the artifact from any repository
    
      com.springsource.bundlor:com.springsource.bundlor.maven:pom:1.0.0.M6
    
    from the specified remote repositories:
      repo2.maven.org (http://repo2.maven.org/maven2/org/eclipse)
    
     for project com.springsource.bundlor:com.springsource.bundlor.maven
            at org.apache.maven.project.DefaultMavenProjectBuilder.findModelFromRepo
    sitory(DefaultMavenProjectBuilder.java:602)
            at org.apache.maven.project.DefaultMavenProjectBuilder.buildFromReposito
    ry(DefaultMavenProjectBuilder.java:248)
            at org.apache.maven.plugin.DefaultPluginManager.checkRequiredMavenVersio
    n(DefaultPluginManager.java:265)
            ... 20 more
    Caused by: org.apache.maven.artifact.resolver.ArtifactNotFoundException: Unable
    to download the artifact from any repository
    
      com.springsource.bundlor:com.springsource.bundlor.maven:pom:1.0.0.M6
    
    from the specified remote repositories:
      repo2.maven.org (http://repo2.maven.org/maven2/org/eclipse)
    
    
            at org.apache.maven.artifact.resolver.DefaultArtifactResolver.resolve(De
    faultArtifactResolver.java:212)
            at org.apache.maven.artifact.resolver.DefaultArtifactResolver.resolve(De
    faultArtifactResolver.java:74)
            at org.apache.maven.project.DefaultMavenProjectBuilder.findModelFromRepo
    sitory(DefaultMavenProjectBuilder.java:555)
            ... 22 more
    Caused by: org.apache.maven.wagon.ResourceDoesNotExistException: Unable to downl
    oad the artifact from any repository
            at org.apache.maven.artifact.manager.DefaultWagonManager.getArtifact(Def
    aultWagonManager.java:332)
            at org.apache.maven.artifact.resolver.DefaultArtifactResolver.resolve(De
    faultArtifactResolver.java:200)
            ... 24 more
    Can anyone tell me what is wrong? Is the Springsource Enterprise Bundle Repository currently available? When I enter the url into a browser;

    http://repository.springsource.com/m...undles/release

    I get this error:
    Code:
    <Error>
    <Code>NoSuchKey</Code>
    <Message>The specified key does not exist.</Message>
    <Key>maven/bundles/release</Key>
    <RequestId>89A78CA6D43605AA</RequestId>
    −
    <HostId>
    5EtKGy9A2suqmsQ66quqWuPpVf5Ens5fZ+21UzlQFxXRC/kyz8hCqYbkjufKVfVP
    </HostId>
    </Error>
    Any help would be appreciated.

    Thanks in advance...
Working...
X